<!DOCTYPE html>  
<html xmlns="http://www.w3.org/1999/xhtml">  
<head>  
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
    <script src="https://code.angularjs.org/1.3.0-beta.5/angular.js"></script>  
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.2.0rc1/angular-route.min.js"></script>
    



  <httpProtocol>
      <customHeaders>
        <add name="Access-Control-Allow-Origin" value="*" />
        <add name="Access-Control-Allow-Headers" value="Content-Type" />
        <add name="Access-Control-Allow-Methods" value="GET, POST, PUT, DELETE, OPTIONS" />
      </customHeaders>
    </httpProtocol>
</head>  
  
<body ng-app="myapp">  
    <hr />  
    <h3>Send Objects of Objects Using AngularJS   
    </h3>  
    <hr />  
    <div ng-controller="TestCtrl">  
        <hr />  
        <form ng-submit="sendPost()">
	 <div>
	    User Name:  
            <input type="text" placeholder="Enter your name" ng-model="username">  
            Password:  
            <input type="text" placeholder="Enter your last name" ng-model="password">  
        </div>  
        
	    <button type="submit">Send</button>
	</form>
 

        <h4 style="color:blueviolet">{{value}}</h4>  
    </div>  
    <hr />  



<script>
var app = angular.module('myapp', []);

app.config( [ '$locationProvider', function( $locationProvider ) {

   // In order to get the query string from the
   // $location object, it must be in HTML5 mode.
   $locationProvider.html5Mode( true );
}]);

app.controller( 'TestCtrl', [ '$scope', '$location', function( $scope, $location ) {

console.log($location.search().target);
}]);
/*app.config(['$httpProvider', function($httpProvider) {
$httpProvider.defaults.useXDomain = true;
delete $httpProvider.defaults.headers.common['X-Requested-With'];
}
]);*/

/*app.controller('TestCtrl', function($scope, $http) {
 $scope.newName = "";
    $scope.sendPost = function() {
         var baseUrl = '128.199.101.112:8080/MarketFitness/v1/login';
   
    $http({
      method: 'POST',
      url: 'http://128.199.101.112:8080/MarketFitness/v1/login',
	headers: { 'Content-Type': 'application/x-www-form-urlencoded' },

      data:{
        "login":{
          "username":$scope.username,
          "password":$scope.password,
          "usertype":"1"
        }
      }
    }).then(function successCallback(response) {console.log(response);
		    // this callback will be called asynchronously
		    // when the response is available
		  }, function errorCallback(response) {
		    // called asynchronously if an error occurs
		    // or server returns response with an error status.
	  	});
    } ;      



});*/
</script>


</body>  
</html>




